rc-wrapper {
  display: flex;
  flex: 1;
}

.rc-wrapper-state {
  align-items: stretch;
  flex-direction: column;
  height: 100%;
  justify-content: flex-start;
  min-height: 0;
  overflow: hidden;
  padding: 0 !important;
}

.rc-wrapper-state .rc-wrapper-state-content {
  display: flex;
  flex: 1;
  min-height: 0;
  overflow: hidden;
  width: 100%;
}

.rc-wrapper-state .rc-wrapper-state-content rc-wrapper {
  min-height: 0;
  width: 100%;
}

.rc-wrapper-state .rc-wrapper-state-content iframe[name="rc-frame"] {
  display: block;
  height: 100%;
  min-height: 0;
  width: 100%;
}

iframe[name="rc-frame"] {
  flex: 1;
  border: none;
}

iframe[name="rc-frame"]::backdrop {
  background-color: rgba(var(--background-main));
}

.rc-wrapper-loading {
  width: 100%;
  position: relative;
  opacity: 1;
  z-index: 9999;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
